%define is_fedora %(rpm -q --quiet fedora-release && echo 1 || echo 0)
%define is_redhat %(rpm -q --quiet redhat-release && echo 1 || echo 0)
%define is_centos %(rpm -q --quiet centos-release && echo 1 || echo 0)

%if %is_fedora
%define dist fc
%define distver %(rpm -q --queryformat "%{VERSION}" fedora-release)
%else
%define dist EL
%if %is_redhat
%define distver %(rpm -q --queryformat "%{VERSION}" redhat-release)
%else
%define distver %(rpm -q --queryformat "%{VERSION}" centos-release)
%endif
%endif

%define python python
%{?with_python:%define python %{with_python}}

%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")
%define release 1.py%{pyver}

%define name Sphinx
%define version 1.0.6
%define unmangled_version 1.0.6

Summary: Python documentation generator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Georg Brandl <georg@python.org>
Url: http://sphinx.pocoo.org/
BuildRequires: docutils, Jinja2, Pygments
Requires:      docutils, Jinja2, Pygments

%description

Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources), written by Georg Brandl.
It was originally created to translate the new Python documentation,
but has now been cleaned up in the hope that it will be useful to many
other projects.

Sphinx uses reStructuredText as its markup language, and many of its strengths
come from the power and straightforwardness of reStructuredText and its
parsing and translating suite, the Docutils.

Although it is still under constant development, the following features
are already present, work fine and can be seen "in action" in the Python docs:

* Output formats: HTML (including Windows HTML Help), plain text and LaTeX,
  for printable PDF versions
* Extensive cross-references: semantic markup and automatic links
  for functions, classes, glossary terms and similar pieces of information
* Hierarchical structure: easy definition of a document tree, with automatic
  links to siblings, parents and children
* Automatic indices: general index as well as a module index
* Code handling: automatic highlighting using the Pygments highlighter
* Various extensions are available, e.g. for automatic testing of snippets
  and inclusion of appropriately formatted docstrings.

A development egg can be found `here
<http://bitbucket.org/birkenfeld/sphinx/get/tip.gz#egg=Sphinx-dev>`_.


%prep
%setup -n %{name}-%{unmangled_version}

%build
%{python} setup.py build

%install
%{python} setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
